OGRE-Next: Ogre::v1::GLES2HardwareBufferManagerBase Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Ogre::v1::GLES2HardwareBufferManagerBase Class Reference

Implementation of HardwareBufferManager for OpenGL ES. More...

`#include <OgreGLES2HardwareBufferManager.h>`

Inheritance diagram for Ogre::v1::GLES2HardwareBufferManagerBase:
[legend]

## Public Member Functions
| GLES2HardwareBufferManagerBase ()
virtual | ~GLES2HardwareBufferManagerBase ()
HardwareCounterBufferSharedPtr | createCounterBuffer (size_t sizeBytes, HardwareBuffer::Usage usage=HardwareBuffer::HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE, bool useShadowBuffer=false, const String &name="")
HardwareIndexBufferSharedPtr | createIndexBuffer (HardwareIndexBuffer::IndexType itype, size_t numIndexes, HardwareBuffer::Usage usage, bool useShadowBuffer=false)
| Create a hardware vertex buffer.
RenderToVertexBufferSharedPtr | createRenderToVertexBuffer ()
| Create a render to vertex buffer.
HardwareUniformBufferSharedPtr | createUniformBuffer (size_t sizeBytes, HardwareBuffer::Usage usage, bool useShadowBuffer, const String &name="")
HardwareUniformBufferSharedPtr | createUniformBuffer (size_t sizeBytes, HardwareBuffer::Usage usage, bool useShadowBuffer, size_t binding, const String &name="")
| Create a uniform buffer.
HardwareVertexBufferSharedPtr | createVertexBuffer (size_t vertexSize, size_t numVerts, HardwareBuffer::Usage usage, bool useShadowBuffer=false)
| Creates a vertex buffer.
Public Member Functions inherited from Ogre::v1::HardwareBufferManagerBase
| HardwareBufferManagerBase ()
virtual | ~HardwareBufferManagerBase ()
virtual void | _forceReleaseBufferCopies (const HardwareVertexBufferSharedPtr &sourceBuffer)
| Internal method that forces the release of copies of a given buffer.
virtual void | _forceReleaseBufferCopies (HardwareVertexBuffer *sourceBuffer)
| Internal method that forces the release of copies of a given buffer.
virtual void | _freeUnusedBufferCopies ()
| Free all unused vertex buffer copies.
void | _notifyIndexBufferDestroyed (HardwareIndexBuffer *buf)
| Notification that a hardware index buffer has been destroyed.
void | _notifyVertexBufferDestroyed (HardwareVertexBuffer *buf)
| Notification that a hardware vertex buffer has been destroyed.
virtual void | _releaseBufferCopies (bool forceFreeUnused=false)
| Internal method for releasing all temporary buffers which have been allocated using BLT_AUTOMATIC_RELEASE; is called by OGRE.
virtual HardwareVertexBufferSharedPtr | allocateVertexBufferCopy (const HardwareVertexBufferSharedPtr &sourceBuffer, BufferLicenseType licenseType, HardwareBufferLicensee *licensee, bool copyData=false)
| Allocates a copy of a given vertex buffer.
virtual VertexBufferBinding * | createVertexBufferBinding ()
| Creates a new VertexBufferBinding.
virtual VertexDeclaration * | createVertexDeclaration ()
| Creates a new vertex declaration.
virtual void | destroyVertexBufferBinding (VertexBufferBinding *binding)
| Destroys a VertexBufferBinding.
virtual void | destroyVertexDeclaration (VertexDeclaration *decl)
| Destroys a vertex declaration.
virtual void | registerVertexBufferSourceAndCopy (const HardwareVertexBufferSharedPtr &sourceBuffer, const HardwareVertexBufferSharedPtr &copy)
| Registers a vertex buffer as a copy of another.
virtual void | releaseVertexBufferCopy (const HardwareVertexBufferSharedPtr &bufferCopy)
| Manually release a vertex buffer copy for others to subsequently use.
virtual void | touchVertexBufferCopy (const HardwareVertexBufferSharedPtr &bufferCopy)
| Tell engine that the vertex buffer copy intent to reuse.

## Static Public Member Functions
static GLenum | getGLType (unsigned int type)
| Utility function to get the correct GL type based on VET's.
static GLenum | getGLUsage (unsigned int usage)
| Utility function to get the correct GL usage based on HBU's.

## Additional Inherited Members
Public Types inherited from Ogre::v1::HardwareBufferManagerBase
enum | BufferLicenseType { BLT_MANUAL_RELEASE , BLT_AUTOMATIC_RELEASE }

## Detailed Description

Implementation of HardwareBufferManager for OpenGL ES.

## Constructor & Destructor Documentation

## ◆ GLES2HardwareBufferManagerBase()

Ogre::v1::GLES2HardwareBufferManagerBase::GLES2HardwareBufferManagerBase | ( |  | ) |

## ◆ ~GLES2HardwareBufferManagerBase()

virtual Ogre::v1::GLES2HardwareBufferManagerBase::~GLES2HardwareBufferManagerBase | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ createCounterBuffer()

HardwareCounterBufferSharedPtr Ogre::v1::GLES2HardwareBufferManagerBase::createCounterBuffer | ( | size_t | sizeBytes,
|  | HardwareBuffer::Usage | usage = HardwareBuffer::HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE,
|  | bool | useShadowBuffer = false,
|  | const String & | name = "" )

References Ogre::v1::HardwareBuffer::HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE.

## ◆ createIndexBuffer()

HardwareIndexBufferSharedPtr Ogre::v1::GLES2HardwareBufferManagerBase::createIndexBuffer | ( | HardwareIndexBuffer::IndexType | itype,
|  | size_t | numIndexes,
|  | HardwareBuffer::Usage | usage,
|  | bool | useShadowBuffer = false )
| virtual

Create a hardware vertex buffer.

Implements Ogre::v1::HardwareBufferManagerBase.

References Ogre::v1::HardwareBufferManagerBase::HardwareIndexBufferSharedPtr.

## ◆ createRenderToVertexBuffer()

RenderToVertexBufferSharedPtr Ogre::v1::GLES2HardwareBufferManagerBase::createRenderToVertexBuffer | ( |  | ) |

Create a render to vertex buffer.

## ◆ createUniformBuffer() [1/2]

HardwareUniformBufferSharedPtr Ogre::v1::GLES2HardwareBufferManagerBase::createUniformBuffer | ( | size_t | sizeBytes,
|  | HardwareBuffer::Usage | usage,
|  | bool | useShadowBuffer,
|  | const String & | name = "" )

## ◆ createUniformBuffer() [2/2]

HardwareUniformBufferSharedPtr Ogre::v1::GLES2HardwareBufferManagerBase::createUniformBuffer | ( | size_t | sizeBytes,
|  | HardwareBuffer::Usage | usage,
|  | bool | useShadowBuffer,
|  | size_t | binding,
|  | const String & | name = "" )

Create a uniform buffer.

## ◆ createVertexBuffer()

HardwareVertexBufferSharedPtr Ogre::v1::GLES2HardwareBufferManagerBase::createVertexBuffer | ( | size_t | vertexSize,
|  | size_t | numVerts,
|  | HardwareBuffer::Usage | usage,
|  | bool | useShadowBuffer = false )
| virtual

Creates a vertex buffer.

Implements Ogre::v1::HardwareBufferManagerBase.

References Ogre::v1::HardwareBufferManagerBase::HardwareVertexBufferSharedPtr.

## ◆ getGLType()

static GLenum Ogre::v1::GLES2HardwareBufferManagerBase::getGLType | ( | unsigned int | type | ) |
| static

Utility function to get the correct GL type based on VET's.

Referenced by Ogre::v1::GLES2HardwareBufferManager::getGLType().

## ◆ getGLUsage()

static GLenum Ogre::v1::GLES2HardwareBufferManagerBase::getGLUsage | ( | unsigned int | usage | ) |
| static

Utility function to get the correct GL usage based on HBU's.

Referenced by Ogre::v1::GLES2HardwareBufferManager::getGLUsage().

The documentation for this class was generated from the following file:

- OgreGLES2HardwareBufferManager.h